/* 
 * @Program that describes a method to find an ID value and print the element text
 * Findbyid.java 
 * Author:-RoseIndia Team
 * Date:-10-Jun-2008
 */

import java.io.*;
import javax.xml.parsers.*;
import org.w3c.dom.*;

public class Findbyid {

    public static void main(String[] args) throws Exception {
        DocumentBuilderFactory builderFactory = DocumentBuilderFactory.newInstance();
        builderFactory.setValidating(false);

        Document doc = builderFactory.newDocumentBuilder().parse(new File("Document2.xml"));
        new Findbyid().findByID(doc, "Girish");

    }

    public void findByID(Document doc, String idName) {
        Element root = doc.getDocumentElement();
        Node node=root.getFirstChild().getFirstChild();
       
        if (root == null) {
            System.out.println("There is no element with the ID " + idName);
        } else {
            Text text = (Text) node.getFirstChild();
            System.out.println(idName + " locates the name " + text.getData());
        }



    }
}
